# Contributing Guidelines

We welcome any potential contributions to the gradescopeapi project! Please use this page as a reference if you want to help improve the project by submitting feedback, changes, etc.

## Bug Reports/Enhancements Requests

We use [GitHub Issues](https://github.com/nyuoss/gradescope-api/issues) to track any potential bugs along with requests for features to be implemented. Please follow the provided guide for creating your bug report/feature request and we will respond to it as soon as possible.

## Making Your Own Changes

If you want to make your own changes to the gradescopeapi, please follow the following instructions:

1. Clone/Fork the `gradescopeapi` repository
1. Create a `feature` branch
1. Make your desired changes
1. Push the changes
1. Submit a Pull Request

Please ensure that your changes adhere to the **coding style**. This can be done using `pdm` to run the `ruff` linter:

```bash
just format
# and
just lint
```

## Pull Requests

If you have existing changes that you want added to gradescopeapi, please create a pull request using [GitHub](https://github.com/nyuoss/gradescope-api/pulls).

Include in your pull request:

1. Summary of the changes you made
1. Detailed description of the exact changes
1. Checks made
1. A reference to the issue (optional)

Once you have submitted your pull requests, a team member will review the changes and provide feedback as necessary. If your changes are approved, they will be merged with the `main` branch.
